> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Delete billing term seat amendment

DELETE https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/billing-terms/{billingTermId}/seat-amendments/{seatAmendmentId}

Reference: https://docs.tabs.com/api-reference/contracts/contracts-billing-microservice-controller-delete-billing-term-seat-amendment

## Authentication

- `Authorization` header (required)

## Request

### Path parameters

- `id` (string, required) — Contract id
- `billingTermId` (string, required) — Billing term id
- `seatAmendmentId` (string, required) — Seat amendment id

## Response

### 200

Seat amendment deleted successfully

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000"

headers = {"Authorization": "<apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'DELETE', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```